# To get started with security, check out the documentation:
# http://symfony.com/doc/current/security.html
security:
    # Encoders
    encoders:
        Orangear\Admin\SuperAdmin\AuthenticationContext\Domain\Model\SuperAdmin\SuperAdmin:
            algorithm: bcrypt
            cost: 12

    # http://symfony.com/doc/current/security.html#b-configuring-how-users-are-loaded
    providers:
        orangear.super_admin_provider:
            id: orangear.super_admin_provider
#        Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticationProvider:
#            id: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticationProvider

    # Firewalls
    firewalls:
        # disables authentication for assets and the profiler, adapt it according to your needs
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

#        admin:
#            pattern: ^/admin
#            provider: orangear.super_admin_provider
#            guard:
#                authenticators:
#                    - orangear.super_admin_authenticator
#
#        login:
#            pattern:  ^/api/v1/login
#            stateless: true
#            anonymous: true
#            form_login:
#                check_path:               /api/v1/login_check
#                success_handler:          lexik_jwt_authentication.handler.authentication_success
#                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
#                require_previous_session: false
        front_api_admin:
            pattern: ^/api/v1/(admin|platforms)
            provider: orangear.super_admin_provider
            stateless: true
            anonymous: true
            guard:
                entry_point: orangear.super_admin_authenticator
                authenticators:
                    - orangear.super_admin_authenticator
            form_login:
                check_path:               /api/v1/sign-in
                success_handler:          lexik_jwt_authentication.handler.authentication_success
                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
                require_previous_session: false
#        front_api_adminqwe:
#            pattern: ^/api/v1/platforms
#            provider: orangear.super_admin_provider
#            stateless: true
#            anonymous: true
#            guard:
#                entry_point: orangear.super_admin_authenticator
#                authenticators:
#                    - orangear.super_admin_authenticator
#            form_login:
#                check_path:               /api/v1/sign-in
#                success_handler:          lexik_jwt_authentication.handler.authentication_success
#                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
#                require_previous_session: false
#        front_api_platform:
#            pattern: ^/api/v1/platforms
#            provider: orangear.super_admin_provider
#            stateless: true
#            anonymous: true
#            guard:
#                entry_point: orangear.super_admin_authenticator
#                authenticators:
#                    - orangear.super_admin_authenticator
#            form_login:
#                check_path:               /api/v1/sign-in2
#                success_handler:          lexik_jwt_authentication.handler.authentication_success
#                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
#                require_previous_session: false
#            anonymous:  ~
#            stateless: true
#            lexik_jwt: ~
#            guard:
#                authenticators:
#                    - orangear.super_admin_authenticator
#            form_login:
#                check_path:               /api/v1/sign-in
#                success_handler:          lexik_jwt_authentication.handler.authentication_success
#                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
#                require_previous_session: false
#        front_api_manager:
#            pattern: ^/api/v1/admin
#            provider: orangear.super_admin_provider
#            stateless: true
#            lexik_jwt: ~
#            anonymous: true
#            guard:
#                authenticators:
#                    - orangear.super_admin_authenticator
#            form_login:
#                check_path:               /api/v1/sign-in
#                success_handler:          lexik_jwt_authentication.handler.authentication_success
#                failure_handler:          lexik_jwt_authentication.handler.authentication_failure
#                require_previous_session: false

        #api:
        #    pattern: ^/api/v1/project
        #    stateless: true
        #    simple_preauth:
        #        authenticator: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticator
        #    provider: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticationProvider


    access_control:
        # require ROLE_ADMIN for /admin*
        #- { path: ^/api/v1/admin, roles: ROLE_SUPER_ADMIN }
        #- { path: ^/api/v1/project/ping, roles: ROLE_PROJECT }
#        - { path: ^/api/v1/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
#        - { path: ^/api/v1/api,   roles: IS_AUTHENTICATED_ANONYMOUSLY }
#        - { path: ^/api/v1/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
#        - { path: ^/api/v1/admin, roles: ROLE_ADMIN }
        - { path: ^/api/v1/sign-in, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/api/v1/platforms, roles: ROLE_SUPER_ADMIN }